Force SSL 1.0.5

License Agreement
ForceSSL License
Supported Versions
WoltLab Suite 3.0

This plugins redirects users accessing the forum via HTTP to the HTTPS version

This plugin redirects all users accessing your site via a non SSL encrypted connection to the SSL version. Usage of a non SSL encrypted connection is a big security risk. That's why this plugin was created.


Support is given at https://moritz30.io ;)


Only install this plugin if your website supports SSL!


If your site does not support SSL but you installed this plugin anyways use the ForceSSL Rescue Tool



Planned features:

  • Make the SSL-URL configurable
  • ACP option to activate and deactivate
  • WCF < 3.0.0 version
  • Version 1.0.5

    Added missing exclude
  • Ist dies auch für die 5.2.2 möglich ?

    Liebe Grüße

  • Gibts es das Recovery Tool noch irgendwo? Alle Links sind offline

  • Frag ebenfalls mal höflich an, ob es irgendwann doch noch ein update für 3.1 gibt?

    • Siehe vorheriger Kommentar "Einfach in der package.xml die vorrausgesetzte Woltlab Version anpassen - 3.0 und 3.1 unterscheiden sich dabei nicht. (Getestet)"

  • wann kommt ein Update für 3.1 ?

    • Einfach in der package.xml die vorrausgesetzte Woltlab Version anpassen - 3.0 und 3.1 unterscheiden sich dabei nicht. (Getestet)

  • Kommt ein update für 3.1?

    • Ja.

      Like 1
    • Wann?

    • Wüsste ich auch gerne!

    • Ich frage mal nochmal nach. Aktuell bei mir das letzte Plugin welches mir für 3.1 fehlt. Könntest du das Plugin updaten?

    • Da meine Testinstanz leider noch auf der alten Version ist, da mir die Lizenz für das Forum in neuester Version fehlt, weiß ich leider nicht, wann ich es updaten kann. Ich versuche aber, irgendwann ein Update zu veröffentlichen.

      Like 1
  • Hilfe! Nach der Installation geht meine Seite nicht mehr!

    • Ich hab die Datei gerade nicht, aber ich schick dir im Laufe des Tages das Rescue Tool (meine Seite ist aktuell leider offline).

    • Deine Seite ist immernoch offline, soll ich sie spiegeln?

    • Kannst du machen, wenn du willst.

  • „SSL erzwingen“ in Version „1.0.5“ verhindert eine Aktualisierung von „WoltLab Suite Core“ auf Version „3.1.0 RC 1“


    Kommt ein Update?

  • woran kann das liegen?


    LG flipper

    SSL erzwingen io.moritz30.wcf.forcessl
    Die Installations-Anweisungen geben für das Package Installation Plugin „file“ die Datei „“ an, diese ist jedoch nicht im Archiv enthalten. Mögliche Ursachen:
    • Die Datei wurde dem Archiv nicht hinzugefügt
    • Die Datei existiert, jedoch sind der Dateiname und die Angabe in den Anweisungen abweichend (Tippfehler)
  • Ich habe das Plugin installiert, es funktioniert soweit alles sehr gut.


    Leider funktioniert das "angemeldet bleiben" nicht mehr. Wenn man ein paar Minuten nicht mehr auf der Seite aktiv war, und man kommt zurück, muss man sich erneut anmelden.


    Gibt es hierzu ein Lösung?

    • Bitte entschuldige erstmal die späte Antwort ;) Ich konnte einen solchen Fehler nicht feststellen. Könntest du mit evtl. eine PM mit der URL und einem Testaccount schicken?

  • Planned features in add please, www redirect option

  • Doofe Frage, auch wenn es kostenfrei ist, stell ich mir die Frage, wozu ein Plugin, wenn man das Über die Konfig selbst einstellen kann?

    Like 1
    • Es gibt Hoster, wo es diese Option nicht gibt. Außerdem kennt sich nicht jeder damit aus.

    • Danke. Dennoch ist mir kein Hoster bekannt, wo htaccess nicht zugelassen sind. ;)

    • Ist halt einfacher. Außerdem wirds bald Optionen geben, die du bei htaccess nicht hast. Außerdem unterstützt zum Beispiel NGINX kein htaccess

      Like 1
    • Hallo. Beim Webhosting der Telecom/T-Online ist kein htaccess möglich.

    • @fusselfix
      Müll bleibt eben Müll.

      Like 5
  • how deactive phpmyadmin?

    • I'm not sure what your question is. Do you want to disable the plugin without using the ACP? If yes you will have to wait a short time until I release the recovery tool.

      Like 1
    • OMG, i how delete your plugin?

    • If you can still access your website via the ACP.


      If not: download the recovery tool at https://mega.nz/#!sdoVGQZR!LAh…ZZJJIj9req0DHPnK4TMztbgDU and put it into your webspace. Then go to http://<Website>/recovery.php . After that you can delete the plugin via the ACP. Then you should delete the recovery tool from the webspace again.

      Like 1
    • Thangs Moritz30

      Like 1
  • Dein Plugin funktioniert super! Danke dass Du es geschrieben hast.

    Like 1
  • Weil ich bereits einen Kommentar a la "meine Seite ist jetzt down" bekommen habe: Das Plugin darf natürlich nur installiert werden, wenn die Seite SSL auch unterstützr. Ein Repairtool ist bereits in Arbeit.

  • Funktioniert. Superduper! Endlich SSL

    Like 1
  • Mobil funktioniert es mal schon sehr gut, vielen Dank! :thumbsup:

    Like 1